import{s as et,n as at,o as rt}from"../chunks/scheduler.85c25b89.js";import{S as ot,i as nt,g as s,s as n,r as z,A as it,h as m,f as e,c as i,j as w,u as T,x as B,k as F,y as x,a as r,v as N,d as k,t as R,w as S}from"../chunks/index.c9837788.js";import{D as V}from"../chunks/Docstring.5c1d567f.js";import{H as st,E as mt}from"../chunks/EditOnGithub.b65eee75.js";function lt(K){let l,O,j,C,p,L,o,d,G,y,J="Dataset factory method",M,$,Q="In parentheses after each arg are the type of dataset supported for each arg, one of:",q,D,X="<li>folder - default, timm folder (or tar) based ImageDataset</li> <li>torch - torchvision based datasets</li> <li>HFDS - Hugging Face Datasets</li> <li>TFDS - Tensorflow-datasets wrapper in IterabeDataset interface via IterableImageDataset</li> <li>WDS - Webdataset</li> <li>all - any of the above</li>",P,g,_,E,f,u,U,h,b,H,v,W,I,A;return p=new st({props:{title:"Data",local:"timm.data.create_dataset",headingTag:"h1"}}),d=new V({props:{name:"timm.data.create_dataset",anchor:"timm.data.create_dataset",parameters:[{name:"name",val:": str"},{name:"root",val:": typing.Optional[str] = None"},{name:"split",val:": str = 'validation'"},{name:"search_split",val:": bool = True"},{name:"class_map",val:": dict = None"},{name:"load_bytes",val:": bool = False"},{name:"is_training",val:": bool = False"},{name:"download",val:": bool = False"},{name:"batch_size",val:": int = 1"},{name:"num_samples",val:": typing.Optional[int] = None"},{name:"seed",val:": int = 42"},{name:"repeats",val:": int = 0"},{name:"input_img_mode",val:": str = 'RGB'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"timm.data.create_dataset.name",description:"<strong>name</strong> &#x2014; dataset name, empty is okay for folder based datasets",name:"name"},{anchor:"timm.data.create_dataset.root",description:"<strong>root</strong> &#x2014; root folder of dataset (all)",name:"root"},{anchor:"timm.data.create_dataset.split",description:"<strong>split</strong> &#x2014; dataset split (all)",name:"split"},{anchor:"timm.data.create_dataset.search_split",description:`<strong>search_split</strong> &#x2014; search for split specific child fold from root so one can specify
<code>imagenet/</code> instead of <code>/imagenet/val</code>, etc on cmd line / config. (folder, torch/folder)`,name:"search_split"},{anchor:"timm.data.create_dataset.class_map",description:"<strong>class_map</strong> &#x2014; specify class -&gt; index mapping via text file or dict (folder)",name:"class_map"},{anchor:"timm.data.create_dataset.load_bytes",description:"<strong>load_bytes</strong> &#x2014; load data, return images as undecoded bytes (folder)",name:"load_bytes"},{anchor:"timm.data.create_dataset.download",description:"<strong>download</strong> &#x2014; download dataset if not present and supported (HFDS, TFDS, torch)",name:"download"},{anchor:"timm.data.create_dataset.is_training",description:`<strong>is_training</strong> &#x2014; create dataset in train mode, this is different from the split.
For Iterable / TDFS it enables shuffle, ignored for other datasets. (TFDS, WDS)`,name:"is_training"},{anchor:"timm.data.create_dataset.batch_size",description:"<strong>batch_size</strong> &#x2014; batch size hint for (TFDS, WDS)",name:"batch_size"},{anchor:"timm.data.create_dataset.seed",description:"<strong>seed</strong> &#x2014; seed for iterable datasets (TFDS, WDS)",name:"seed"},{anchor:"timm.data.create_dataset.repeats",description:"<strong>repeats</strong> &#x2014; dataset repeats per iteration i.e. epoch (TFDS, WDS)",name:"repeats"},{anchor:"timm.data.create_dataset.input_img_mode",description:"<strong>input_img_mode</strong> &#x2014; Input image color conversion mode e.g. &#x2018;RGB&#x2019;, &#x2018;L&#x2019; (folder, TFDS, WDS, HFDS)",name:"input_img_mode"},{anchor:"timm.data.create_dataset.*kwargs",description:"*<strong>*kwargs</strong> &#x2014; other args to pass to dataset",name:"*kwargs"}],source:"https://github.com/huggingface/pytorch-image-models/blob/v1.0.12/timm/data/dataset_factory.py#L63",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Dataset object</p>
`}}),_=new V({props:{name:"timm.data.create_loader",anchor:"timm.data.create_loader",parameters:[{name:"dataset",val:": typing.Union[timm.data.dataset.ImageDataset, timm.data.dataset.IterableImageDataset]"},{name:"input_size",val:": typing.Union[int, typing.Tuple[int, int], typing.Tuple[int, int, int]]"},{name:"batch_size",val:": int"},{name:"is_training",val:": bool = False"},{name:"no_aug",val:": bool = False"},{name:"re_prob",val:": float = 0.0"},{name:"re_mode",val:": str = 'const'"},{name:"re_count",val:": int = 1"},{name:"re_split",val:": bool = False"},{name:"train_crop_mode",val:": typing.Optional[str] = None"},{name:"scale",val:": typing.Optional[typing.Tuple[float, float]] = None"},{name:"ratio",val:": typing.Optional[typing.Tuple[float, float]] = None"},{name:"hflip",val:": float = 0.5"},{name:"vflip",val:": float = 0.0"},{name:"color_jitter",val:": float = 0.4"},{name:"color_jitter_prob",val:": typing.Optional[float] = None"},{name:"grayscale_prob",val:": float = 0.0"},{name:"gaussian_blur_prob",val:": float = 0.0"},{name:"auto_augment",val:": typing.Optional[str] = None"},{name:"num_aug_repeats",val:": int = 0"},{name:"num_aug_splits",val:": int = 0"},{name:"interpolation",val:": str = 'bilinear'"},{name:"mean",val:": typing.Tuple[float, ...] = (0.485, 0.456, 0.406)"},{name:"std",val:": typing.Tuple[float, ...] = (0.229, 0.224, 0.225)"},{name:"num_workers",val:": int = 1"},{name:"distributed",val:": bool = False"},{name:"crop_pct",val:": typing.Optional[float] = None"},{name:"crop_mode",val:": typing.Optional[str] = None"},{name:"crop_border_pixels",val:": typing.Optional[int] = None"},{name:"collate_fn",val:": typing.Optional[typing.Callable] = None"},{name:"pin_memory",val:": bool = False"},{name:"fp16",val:": bool = False"},{name:"img_dtype",val:": dtype = torch.float32"},{name:"device",val:": device = device(type='cuda')"},{name:"use_prefetcher",val:": bool = True"},{name:"use_multi_epochs_loader",val:": bool = False"},{name:"persistent_workers",val:": bool = True"},{name:"worker_seeding",val:": str = 'all'"},{name:"tf_preprocessing",val:": bool = False"}],parametersDescription:[{anchor:"timm.data.create_loader.dataset",description:"<strong>dataset</strong> &#x2014; The image dataset to load.",name:"dataset"},{anchor:"timm.data.create_loader.input_size",description:"<strong>input_size</strong> &#x2014; Target input size (channels, height, width) tuple or size scalar.",name:"input_size"},{anchor:"timm.data.create_loader.batch_size",description:"<strong>batch_size</strong> &#x2014; Number of samples in a batch.",name:"batch_size"},{anchor:"timm.data.create_loader.is_training",description:"<strong>is_training</strong> &#x2014; Return training (random) transforms.",name:"is_training"},{anchor:"timm.data.create_loader.no_aug",description:"<strong>no_aug</strong> &#x2014; Disable augmentation for training (useful for debug).",name:"no_aug"},{anchor:"timm.data.create_loader.re_prob",description:"<strong>re_prob</strong> &#x2014; Random erasing probability.",name:"re_prob"},{anchor:"timm.data.create_loader.re_mode",description:"<strong>re_mode</strong> &#x2014; Random erasing fill mode.",name:"re_mode"},{anchor:"timm.data.create_loader.re_count",description:"<strong>re_count</strong> &#x2014; Number of random erasing regions.",name:"re_count"},{anchor:"timm.data.create_loader.re_split",description:"<strong>re_split</strong> &#x2014; Control split of random erasing across batch size.",name:"re_split"},{anchor:"timm.data.create_loader.scale",description:"<strong>scale</strong> &#x2014; Random resize scale range (crop area, &lt; 1.0 =&gt; zoom in).",name:"scale"},{anchor:"timm.data.create_loader.ratio",description:"<strong>ratio</strong> &#x2014; Random aspect ratio range (crop ratio for RRC, ratio adjustment factor for RKR).",name:"ratio"},{anchor:"timm.data.create_loader.hflip",description:"<strong>hflip</strong> &#x2014; Horizontal flip probability.",name:"hflip"},{anchor:"timm.data.create_loader.vflip",description:"<strong>vflip</strong> &#x2014; Vertical flip probability.",name:"vflip"},{anchor:"timm.data.create_loader.color_jitter",description:`<strong>color_jitter</strong> &#x2014; Random color jitter component factors (brightness, contrast, saturation, hue).
Scalar is applied as (scalar,) * 3 (no hue).`,name:"color_jitter"},{anchor:"timm.data.create_loader.color_jitter_prob",description:"<strong>color_jitter_prob</strong> &#x2014; Apply color jitter with this probability if not None (for SimlCLR-like aug",name:"color_jitter_prob"},{anchor:"timm.data.create_loader.grayscale_prob",description:"<strong>grayscale_prob</strong> &#x2014; Probability of converting image to grayscale (for SimCLR-like aug).",name:"grayscale_prob"},{anchor:"timm.data.create_loader.gaussian_blur_prob",description:"<strong>gaussian_blur_prob</strong> &#x2014; Probability of applying gaussian blur (for SimCLR-like aug).",name:"gaussian_blur_prob"},{anchor:"timm.data.create_loader.auto_augment",description:"<strong>auto_augment</strong> &#x2014; Auto augment configuration string (see auto_augment.py).",name:"auto_augment"},{anchor:"timm.data.create_loader.num_aug_repeats",description:"<strong>num_aug_repeats</strong> &#x2014; Enable special sampler to repeat same augmentation across distributed GPUs.",name:"num_aug_repeats"},{anchor:"timm.data.create_loader.num_aug_splits",description:"<strong>num_aug_splits</strong> &#x2014; Enable mode where augmentations can be split across the batch.",name:"num_aug_splits"},{anchor:"timm.data.create_loader.interpolation",description:"<strong>interpolation</strong> &#x2014; Image interpolation mode.",name:"interpolation"},{anchor:"timm.data.create_loader.mean",description:"<strong>mean</strong> &#x2014; Image normalization mean.",name:"mean"},{anchor:"timm.data.create_loader.std",description:"<strong>std</strong> &#x2014; Image normalization standard deviation.",name:"std"},{anchor:"timm.data.create_loader.num_workers",description:"<strong>num_workers</strong> &#x2014; Num worker processes per DataLoader.",name:"num_workers"},{anchor:"timm.data.create_loader.distributed",description:"<strong>distributed</strong> &#x2014; Enable dataloading for distributed training.",name:"distributed"},{anchor:"timm.data.create_loader.crop_pct",description:"<strong>crop_pct</strong> &#x2014; Inference crop percentage (output size / resize size).",name:"crop_pct"},{anchor:"timm.data.create_loader.crop_mode",description:"<strong>crop_mode</strong> &#x2014; Inference crop mode. One of [&#x2018;squash&#x2019;, &#x2018;border&#x2019;, &#x2018;center&#x2019;]. Defaults to &#x2018;center&#x2019; when None.",name:"crop_mode"},{anchor:"timm.data.create_loader.crop_border_pixels",description:"<strong>crop_border_pixels</strong> &#x2014; Inference crop border of specified # pixels around edge of original image.",name:"crop_border_pixels"},{anchor:"timm.data.create_loader.collate_fn",description:"<strong>collate_fn</strong> &#x2014; Override default collate_fn.",name:"collate_fn"},{anchor:"timm.data.create_loader.pin_memory",description:"<strong>pin_memory</strong> &#x2014; Pin memory for device transfer.",name:"pin_memory"},{anchor:"timm.data.create_loader.fp16",description:"<strong>fp16</strong> &#x2014; Deprecated argument for half-precision input dtype. Use img_dtype.",name:"fp16"},{anchor:"timm.data.create_loader.img_dtype",description:"<strong>img_dtype</strong> &#x2014; Data type for input image.",name:"img_dtype"},{anchor:"timm.data.create_loader.device",description:"<strong>device</strong> &#x2014; Device to transfer inputs and targets to.",name:"device"},{anchor:"timm.data.create_loader.use_prefetcher",description:"<strong>use_prefetcher</strong> &#x2014; Use efficient pre-fetcher to load samples onto device.",name:"use_prefetcher"},{anchor:"timm.data.create_loader.use_multi_epochs_loader",description:"<strong>use_multi_epochs_loader</strong> &#x2014;",name:"use_multi_epochs_loader"},{anchor:"timm.data.create_loader.persistent_workers",description:"<strong>persistent_workers</strong> &#x2014; Enable persistent worker processes.",name:"persistent_workers"},{anchor:"timm.data.create_loader.worker_seeding",description:"<strong>worker_seeding</strong> &#x2014; Control worker random seeding at init.",name:"worker_seeding"},{anchor:"timm.data.create_loader.tf_preprocessing",description:"<strong>tf_preprocessing</strong> &#x2014; Use TF 1.0 inference preprocessing for testing model ports.",name:"tf_preprocessing"}],source:"https://github.com/huggingface/pytorch-image-models/blob/v1.0.12/timm/data/loader.py#L196",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>DataLoader</p>
`}}),u=new V({props:{name:"timm.data.create_transform",anchor:"timm.data.create_transform",parameters:[{name:"input_size",val:": typing.Union[int, typing.Tuple[int, int], typing.Tuple[int, int, int]] = 224"},{name:"is_training",val:": bool = False"},{name:"no_aug",val:": bool = False"},{name:"train_crop_mode",val:": typing.Optional[str] = None"},{name:"scale",val:": typing.Optional[typing.Tuple[float, float]] = None"},{name:"ratio",val:": typing.Optional[typing.Tuple[float, float]] = None"},{name:"hflip",val:": float = 0.5"},{name:"vflip",val:": float = 0.0"},{name:"color_jitter",val:": typing.Union[float, typing.Tuple[float, ...]] = 0.4"},{name:"color_jitter_prob",val:": typing.Optional[float] = None"},{name:"grayscale_prob",val:": float = 0.0"},{name:"gaussian_blur_prob",val:": float = 0.0"},{name:"auto_augment",val:": typing.Optional[str] = None"},{name:"interpolation",val:": str = 'bilinear'"},{name:"mean",val:": typing.Tuple[float, ...] = (0.485, 0.456, 0.406)"},{name:"std",val:": typing.Tuple[float, ...] = (0.229, 0.224, 0.225)"},{name:"re_prob",val:": float = 0.0"},{name:"re_mode",val:": str = 'const'"},{name:"re_count",val:": int = 1"},{name:"re_num_splits",val:": int = 0"},{name:"crop_pct",val:": typing.Optional[float] = None"},{name:"crop_mode",val:": typing.Optional[str] = None"},{name:"crop_border_pixels",val:": typing.Optional[int] = None"},{name:"tf_preprocessing",val:": bool = False"},{name:"use_prefetcher",val:": bool = False"},{name:"normalize",val:": bool = True"},{name:"separate",val:": bool = False"}],parametersDescription:[{anchor:"timm.data.create_transform.input_size",description:"<strong>input_size</strong> &#x2014; Target input size (channels, height, width) tuple or size scalar.",name:"input_size"},{anchor:"timm.data.create_transform.is_training",description:"<strong>is_training</strong> &#x2014; Return training (random) transforms.",name:"is_training"},{anchor:"timm.data.create_transform.no_aug",description:"<strong>no_aug</strong> &#x2014; Disable augmentation for training (useful for debug).",name:"no_aug"},{anchor:"timm.data.create_transform.train_crop_mode",description:"<strong>train_crop_mode</strong> &#x2014; Training random crop mode (&#x2018;rrc&#x2019;, &#x2018;rkrc&#x2019;, &#x2018;rkrr&#x2019;).",name:"train_crop_mode"},{anchor:"timm.data.create_transform.scale",description:"<strong>scale</strong> &#x2014; Random resize scale range (crop area, &lt; 1.0 =&gt; zoom in).",name:"scale"},{anchor:"timm.data.create_transform.ratio",description:"<strong>ratio</strong> &#x2014; Random aspect ratio range (crop ratio for RRC, ratio adjustment factor for RKR).",name:"ratio"},{anchor:"timm.data.create_transform.hflip",description:"<strong>hflip</strong> &#x2014; Horizontal flip probability.",name:"hflip"},{anchor:"timm.data.create_transform.vflip",description:"<strong>vflip</strong> &#x2014; Vertical flip probability.",name:"vflip"},{anchor:"timm.data.create_transform.color_jitter",description:`<strong>color_jitter</strong> &#x2014; Random color jitter component factors (brightness, contrast, saturation, hue).
Scalar is applied as (scalar,) * 3 (no hue).`,name:"color_jitter"},{anchor:"timm.data.create_transform.color_jitter_prob",description:"<strong>color_jitter_prob</strong> &#x2014; Apply color jitter with this probability if not None (for SimlCLR-like aug).",name:"color_jitter_prob"},{anchor:"timm.data.create_transform.grayscale_prob",description:"<strong>grayscale_prob</strong> &#x2014; Probability of converting image to grayscale (for SimCLR-like aug).",name:"grayscale_prob"},{anchor:"timm.data.create_transform.gaussian_blur_prob",description:"<strong>gaussian_blur_prob</strong> &#x2014; Probability of applying gaussian blur (for SimCLR-like aug).",name:"gaussian_blur_prob"},{anchor:"timm.data.create_transform.auto_augment",description:"<strong>auto_augment</strong> &#x2014; Auto augment configuration string (see auto_augment.py).",name:"auto_augment"},{anchor:"timm.data.create_transform.interpolation",description:"<strong>interpolation</strong> &#x2014; Image interpolation mode.",name:"interpolation"},{anchor:"timm.data.create_transform.mean",description:"<strong>mean</strong> &#x2014; Image normalization mean.",name:"mean"},{anchor:"timm.data.create_transform.std",description:"<strong>std</strong> &#x2014; Image normalization standard deviation.",name:"std"},{anchor:"timm.data.create_transform.re_prob",description:"<strong>re_prob</strong> &#x2014; Random erasing probability.",name:"re_prob"},{anchor:"timm.data.create_transform.re_mode",description:"<strong>re_mode</strong> &#x2014; Random erasing fill mode.",name:"re_mode"},{anchor:"timm.data.create_transform.re_count",description:"<strong>re_count</strong> &#x2014; Number of random erasing regions.",name:"re_count"},{anchor:"timm.data.create_transform.re_num_splits",description:"<strong>re_num_splits</strong> &#x2014; Control split of random erasing across batch size.",name:"re_num_splits"},{anchor:"timm.data.create_transform.crop_pct",description:"<strong>crop_pct</strong> &#x2014; Inference crop percentage (output size / resize size).",name:"crop_pct"},{anchor:"timm.data.create_transform.crop_mode",description:"<strong>crop_mode</strong> &#x2014; Inference crop mode. One of [&#x2018;squash&#x2019;, &#x2018;border&#x2019;, &#x2018;center&#x2019;]. Defaults to &#x2018;center&#x2019; when None.",name:"crop_mode"},{anchor:"timm.data.create_transform.crop_border_pixels",description:"<strong>crop_border_pixels</strong> &#x2014; Inference crop border of specified # pixels around edge of original image.",name:"crop_border_pixels"},{anchor:"timm.data.create_transform.tf_preprocessing",description:"<strong>tf_preprocessing</strong> &#x2014; Use TF 1.0 inference preprocessing for testing model ports",name:"tf_preprocessing"},{anchor:"timm.data.create_transform.use_prefetcher",description:"<strong>use_prefetcher</strong> &#x2014; Pre-fetcher enabled. Do not convert image to tensor or normalize.",name:"use_prefetcher"},{anchor:"timm.data.create_transform.normalize",description:"<strong>normalize</strong> &#x2014; Normalization tensor output w/ provided mean/std (if prefetcher not used).",name:"normalize"},{anchor:"timm.data.create_transform.separate",description:"<strong>separate</strong> &#x2014; Output transforms in 3-stage tuple.",name:"separate"}],source:"https://github.com/huggingface/pytorch-image-models/blob/v1.0.12/timm/data/transforms_factory.py#L334",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Composed transforms or tuple thereof</p>
`}}),b=new V({props:{name:"timm.data.resolve_data_config",anchor:"timm.data.resolve_data_config",parameters:[{name:"args",val:" = None"},{name:"pretrained_cfg",val:" = None"},{name:"model",val:" = None"},{name:"use_test_size",val:" = False"},{name:"verbose",val:" = False"}],source:"https://github.com/huggingface/pytorch-image-models/blob/v1.0.12/timm/data/config.py#L8"}}),v=new mt({props:{source:"https://github.com/huggingface/pytorch-image-models/blob/main/hfdocs/source/reference/data.mdx"}}),{c(){l=s("meta"),O=n(),j=s("p"),C=n(),z(p.$$.fragment),L=n(),o=s("div"),z(d.$$.fragment),G=n(),y=s("p"),y.textContent=J,M=n(),$=s("p"),$.textContent=Q,q=n(),D=s("ul"),D.innerHTML=X,P=n(),g=s("div"),z(_.$$.fragment),E=n(),f=s("div"),z(u.$$.fragment),U=n(),h=s("div"),z(b.$$.fragment),H=n(),z(v.$$.fragment),W=n(),I=s("p"),this.h()},l(t){const a=it("svelte-u9bgzb",document.head);l=m(a,"META",{name:!0,content:!0}),a.forEach(e),O=i(t),j=m(t,"P",{}),w(j).forEach(e),C=i(t),T(p.$$.fragment,t),L=i(t),o=m(t,"DIV",{class:!0});var c=w(o);T(d.$$.fragment,c),G=i(c),y=m(c,"P",{"data-svelte-h":!0}),B(y)!=="svelte-1tv23x9"&&(y.textContent=J),M=i(c),$=m(c,"P",{"data-svelte-h":!0}),B($)!=="svelte-1k3tjcx"&&($.textContent=Q),q=i(c),D=m(c,"UL",{"data-svelte-h":!0}),B(D)!=="svelte-1joatkj"&&(D.innerHTML=X),c.forEach(e),P=i(t),g=m(t,"DIV",{class:!0});var Y=w(g);T(_.$$.fragment,Y),Y.forEach(e),E=i(t),f=m(t,"DIV",{class:!0});var Z=w(f);T(u.$$.fragment,Z),Z.forEach(e),U=i(t),h=m(t,"DIV",{class:!0});var tt=w(h);T(b.$$.fragment,tt),tt.forEach(e),H=i(t),T(v.$$.fragment,t),W=i(t),I=m(t,"P",{}),w(I).forEach(e),this.h()},h(){F(l,"name","hf:doc:metadata"),F(l,"content",ct),F(o,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),F(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),F(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),F(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,a){x(document.head,l),r(t,O,a),r(t,j,a),r(t,C,a),N(p,t,a),r(t,L,a),r(t,o,a),N(d,o,null),x(o,G),x(o,y),x(o,M),x(o,$),x(o,q),x(o,D),r(t,P,a),r(t,g,a),N(_,g,null),r(t,E,a),r(t,f,a),N(u,f,null),r(t,U,a),r(t,h,a),N(b,h,null),r(t,H,a),N(v,t,a),r(t,W,a),r(t,I,a),A=!0},p:at,i(t){A||(k(p.$$.fragment,t),k(d.$$.fragment,t),k(_.$$.fragment,t),k(u.$$.fragment,t),k(b.$$.fragment,t),k(v.$$.fragment,t),A=!0)},o(t){R(p.$$.fragment,t),R(d.$$.fragment,t),R(_.$$.fragment,t),R(u.$$.fragment,t),R(b.$$.fragment,t),R(v.$$.fragment,t),A=!1},d(t){t&&(e(O),e(j),e(C),e(L),e(o),e(P),e(g),e(E),e(f),e(U),e(h),e(H),e(W),e(I)),e(l),S(p,t),S(d),S(_),S(u),S(b),S(v,t)}}}const ct='{"title":"Data","local":"timm.data.create_dataset","sections":[],"depth":1}';function pt(K){return rt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ut extends ot{constructor(l){super(),nt(this,l,pt,lt,et,{})}}export{ut as component};
